%define name libprojectm
%define major 2
%define libname %mklibname projectm %{major}
%define develname %mklibname -d projectm

Summary: Visualization library for OpenGL based on Milkdrop
Name: libprojectm
Version: 2.1.0
Release: %mkrel 8
Epoch: 1
Source0: http://downloads.sourceforge.net/project/projectm/%{version}/projectM-complete-%{version}-Source.tar.gz
Patch0: libprojectM-2.1.0-paths.patch
License: LGPLv2+
Group: System/Libraries
Url: http://projectm.sourceforge.net/
BuildRequires: libftgl-devel
BuildRequires: cmake
BuildRequires: libglew-devel
BuildRequires: libgomp-devel
BuildRequires: pulseaudio-devel

%description
projectM is a reimplementation of Milkdrop under OpenGL.

%package -n %{libname}
Summary: Visualization library for OpenGL based on Milkdrop
Group: System/Libraries
Requires: %{name}-data >= %{epoch}:%{version}

%description -n %{libname}
projectM is a reimplementation of Milkdrop under OpenGL.


%package data
Summary: Visualization library for OpenGL based on Milkdrop 
Group: Graphics/3D
Requires: fonts-ttf-bitstream-vera
BuildArch: noarch

%description data
projectM is a reimplementation of Milkdrop under OpenGL. This contains data
files and presets.

%package -n %{develname}
Summary: Visualization library for OpenGL based on Milkdrop
Group: Development/C
Requires: %{libname} = %{epoch}:%{version}
Provides: libprojectm-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
projectM is a reimplementation of Milkdrop under OpenGL.


%prep
%setup -q -n projectM-complete-%{version}-Source
%autopatch -p1

%build
cd src/libprojectM
%cmake
%make

%install
cd src/libprojectM
%makeinstall_std -C build
cp -f ChangeLog ../..

#replace by symlink
ln -sf %{_datadir}/fonts/TTF/{Vera.ttf,VeraMono.ttf} %{buildroot}%{_datadir}/projectM/fonts/

%files data
%doc ChangeLog
%{_datadir}/projectM

%files -n %{libname}
%{_libdir}/libprojectM.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libprojectM
%{_libdir}/libprojectM.so


%changelog
* Wed Mar 01 2017 ghibo <ghibo> 1:2.1.0-8.mga6
+ Revision: 1088250
- Rebuilt against pulseaudio 10

* Mon Feb 15 2016 umeabot <umeabot> 1:2.1.0-7.mga6
+ Revision: 961171
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 sander85 <sander85> 1:2.1.0-6.mga6
+ Revision: 869123
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 1:2.1.0-5.mga6
+ Revision: 842015
- Rebuild for GLEW 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1:2.1.0-4.mga5
+ Revision: 745154
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.1.0-3.mga5
+ Revision: 681721
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1:2.1.0-2.mga5
+ Revision: 670269
- rebuild for glew

* Wed May 21 2014 luigiwalser <luigiwalser> 1:2.1.0-1.mga5
+ Revision: 624799
- 2.1.0 (sync with omdv)

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.0-11.mga4
+ Revision: 530448
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 1:2.0.0-10.mga4
+ Revision: 457677
- Rebuild for new glew

* Thu Jan 17 2013 malo <malo> 1:2.0.0-9.mga3
+ Revision: 388925
- updated RPM group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 fwang <fwang> 1:2.0.0-7.mga3
+ Revision: 285746
- data package should be noarch

* Thu Aug 30 2012 fwang <fwang> 1:2.0.0-6.mga3
+ Revision: 285694
- rebuild for new glew

* Wed Jul 25 2012 fwang <fwang> 1:2.0.0-5.mga3
+ Revision: 274251
- rebuild for new glew

* Mon Oct 03 2011 fwang <fwang> 1:2.0.0-4.mga2
+ Revision: 151155
- rebuild for new glew

* Wed Jan 26 2011 ahmad <ahmad> 1:2.0.0-3.mga1
+ Revision: 40967
- drop old/unneeded scriptlets
- imported package libprojectm


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-2mdv2011.0
+ Revision: 609774
- rebuild

* Thu Feb 18 2010 Funda Wang <fwang@mandriva.org> 1:2.0.0-1mdv2010.1
+ Revision: 507413
- should be libgomp-devel
- BR gmp-devel for -fopenmp
- New version 2.0.0

* Thu Feb 18 2010 Götz Waschk <waschk@mandriva.org> 1:1.2.0-4mdv2010.1
+ Revision: 507404
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 1:1.2.0-3mdv2009.1
+ Revision: 341702
- symlink duplicated fonts

* Tue Dec 09 2008 Adam Williamson <awilliamson@mandriva.org> 1:1.2.0-2mdv2009.1
+ Revision: 312132
- add ftgl.patch: adjust includes for new libftgl
- rebuild for new ftgl major

* Fri Jul 18 2008 Götz Waschk <waschk@mandriva.org> 1:1.2.0-1mdv2009.0
+ Revision: 238023
- new version
- drop patch
- fix build
- add conflict with old library package

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Götz Waschk <waschk@mandriva.org> 1:1.1-1mdv2009.0
+ Revision: 211182
- add epoch
- new version
- rediff patch 0
- drop patches 1,2,3
- new major

* Tue Feb 19 2008 Götz Waschk <waschk@mandriva.org> 1.01-5mdv2008.1
+ Revision: 173068
- add debian fixes for some crashes

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 1.01-4mdv2008.1
+ Revision: 165343
- rebuild for new libglew

* Sat Jan 05 2008 Götz Waschk <waschk@mandriva.org> 1.01-3mdv2008.1
+ Revision: 145761
- rebuild for new libglew

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 1.01-2mdv2008.1
+ Revision: 100674
- fix deps

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 1.01-1mdv2008.1
+ Revision: 100604
- new version
- build with cmake
- update file list
- NO major


* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.99-2mdv2007.0
+ Revision: 113965
- bump
- Import libprojectm

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.99-1mdv2007.1
- initial package

